Generic Image Library: image Class Template Reference

Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # image Class Template Reference [Models, Models] `#include <image.hpp>` List of all members. ## Detailed Description ### template<typename Pixel, bool IsPlanar, typename Alloc = std::allocator<unsigned char>> class boost::gil::image< Pixel, IsPlanar, Alloc > container interface over image view. Models ImageConcept, PixelBasedConcept A 2D container whose elements are pixels. It is templated over the pixel type, a boolean indicating whether it should be planar, and an optional allocator. Note that its element type does not have to be a pixel. `image` can be instantiated with any Regular element, in which case it models the weaker RandomAccess2DImageConcept and does not model PixelBasedConcept
## Public Types
typedef Alloc::template rebind < unsigned char >::other | allocator_type
typedef view_type_from_pixel < Pixel, IsPlanar >::type | view_t
typedef view_t::const_t | const_view_t
typedef view_t::point_t | point_t
typedef view_t::coord_t | coord_t
typedef view_t::value_type | value_type
typedef coord_t | x_coord_t
typedef coord_t | y_coord_t
## Public Member Functions
const point_t & | dimensions () const
x_coord_t | width () const
y_coord_t | height () const
| image (std::size_t alignment=0, const Alloc alloc_in=Alloc())
| image (const point_t &dimensions, std::size_t alignment=0, const Alloc alloc_in=Alloc())
| image (x_coord_t width, y_coord_t height, std::size_t alignment=0, const Alloc alloc_in=Alloc())
| image (const point_t &dimensions, const Pixel &p_in, std::size_t alignment, const Alloc alloc_in=Alloc())
| image (x_coord_t width, y_coord_t height, const Pixel &p_in, std::size_t alignment, const Alloc alloc_in=Alloc())
| image (const image &img)
template<typename P2, bool IP2, typename Alloc2>
| image (const image< P2, IP2, Alloc2 > &img)
image & | operator= (const image &img)
template<typename Img>
image & | operator= (const Img &img)
Alloc & | allocator ()
Alloc const & | allocator () const
void | swap (image &img)
void | recreate (const point_t &dims, std::size_t alignment=0, const Alloc alloc_in=Alloc())
void | recreate (x_coord_t width, y_coord_t height, std::size_t alignment=0, const Alloc alloc_in=Alloc())
void | recreate (const point_t &dims, const Pixel &p_in, std::size_t alignment, const Alloc alloc_in=Alloc())
void | recreate (x_coord_t width, y_coord_t height, const Pixel &p_in, std::size_t alignment, const Alloc alloc_in=Alloc())
## Public Attributes
view_t | _view
The documentation for this class was generated from the following file: image.hpp